Subject: Re: [PATCH net-next] tcp: tsq: avoid using a tasklet if possible

From: Jakub Kicinski <[email-masked]>
Date: Thu, 30 Mar 2023 13:08:28 -0700

On Thu, 30 Mar 2023 19:25:34 +0000 Eric Dumazet wrote:
> Instead of always defer TCP Small Queue handling to a tasklet
> we can try to lock the socket and immediately call tcp_tsq_handler()
> 
> In my experiments on a 100Gbit NIC with FQ qdisc, number of times
> tcp_tasklet_func() is fired per second goes from ~70,000 to ~1,000.
> 
> This reduces number of ksoftirqd wakeups and thus extra cpu
> costs and latencies.

Oh, you posted already. LMK what you think about other locks,
I reckon we should apply this patch... just maybe around -rc1
to give ourselves plenty of time to find the broken drivers?